Bug 692950 - Installing ipa server with --no-reverse option sets up reverse zone
Summary: Installing ipa server with --no-reverse option sets up reverse zone
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-01 19:05 UTC by Namita Soman
Modified: 2015-01-04 23:47 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When setting up DNS a reverse zone was always created regardless of the --no-reverse option when installing in interactive mode. Consequence: A zone was being created that the user did not want. Fix: Create a reverse zone only if either it was asked for interactively or on the command-line. Result: The reverse DNS zone is not created when the user specifies either --no-reverse or answers no in the interactive installer.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:21:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
part of ipaserver-install log (4.03 KB, application/octet-stream)
2011-04-01 19:05 UTC, Namita Soman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-04-01 19:05:03 UTC
Created attachment 489445 [details]
part of ipaserver-install log

Description of problem:
When server is installed using --no-reverse option, reverse zone is set up. 

install ipa sersever using cmd:
ipa-server-install --setup-dns --no-forwarders --no-reverse

Then run:
  ipa dnszone-find
  which includes:
   Zone name: 19.16.10.in-addr.arpa.
   Authoritative nameserver: rhel61-server2.testrelm.
   Administrator e-mail address: root.19.16.10.in-addr.arpa.

Install logs indicate - "setting up reverse zone" step is taken.

Version-Release number of selected component (if applicable):
ipa-server-2.0.0-18.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1.ipa-server-install --setup-dns --no-forwarders --no-reverse
2.ipa dnszone-find

  
Actual results:
includes:  Zone name: 19.16.10.in-addr.arpa.

Expected results:
Should not set up reverse zone.

Additional info:

Comment 2 Dmitri Pal 2011-04-01 19:48:57 UTC
https://fedorahosted.org/freeipa/ticket/1152

Comment 4 Namita Soman 2011-04-28 12:11:14 UTC
Not seeing this issue any more when using ipa-server-2.0.0-22.el6.x86_64. Did this get addressed?

Comment 5 Rob Crittenden 2011-04-28 12:54:16 UTC
No, it isn't fixed upstream yet either. Note that this only happened in interactive mode.

Comment 6 Martin Kosek 2011-05-12 13:19:24 UTC
Upstream commits:
master: 2b45be23e427040b667a1e705019354087149d14
ipa-2-0: 5d7606bff387bcc4c3c1eed72c195692dd964335

Comment 8 Rob Crittenden 2011-10-31 17:21:52 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When setting up DNS a reverse zone was always created regardless of the --no-reverse option when installing in interactive mode.
Consequence: A zone was being created that the user did not want.
Fix: Create a reverse zone only if either it was asked for interactively or on the command-line.
Result: The reverse DNS zone is not created when the user specifies either --no-reverse or answers no in the interactive installer.

Comment 9 Namita Soman 2011-11-04 17:47:13 UTC
Verified using ipa-server-2.1.3-8.el6.x86_64

# ipa-server-install --setup-dns --no-forwarders --no-reverse
# ipa dnszone-find
  Zone name: testrelm
  Authoritative nameserver: ipa-replica.testrelm.
  Administrator e-mail address: root.ipa-replica.testrelm.
  SOA serial: 2011041101
  SOA refresh: 3600
  SOA retry: 900
  SOA expire: 1209600
  SOA minimum: 3600
  Active zone: TRUE
----------------------------
Number of entries returned 1
----------------------------

Comment 10 errata-xmlrpc 2011-12-06 18:21:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.